import { Proposed, NotificationHandler1 } from 'vscode-languageserver-protocol';
import type { Feature, _Notebooks } from './server';
/**
 * Shape of the type hierarchy feature
 *
 * @since 3.17.0 - proposed state
 */
export interface NotebooksFeatureShape {
    synchronization: {
        onDidOpenNotebookDocument(handler: NotificationHandler1<Proposed.DidOpenNotebookDocumentParams>): void;
        onDidChangeNotebookDocument(handler: NotificationHandler1<Proposed.DidChangeNotebookDocumentParams>): void;
        onDidCloseNotebookDocument(handler: NotificationHandler1<Proposed.DidCloseNotebookDocumentParams>): void;
    };
}
export declare const NotebooksFeature: Feature<_Notebooks, NotebooksFeatureShape>;
